Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PhysxMotorDesc Class Reference

Describes a joint motor. More...

`#include "physxMotorDesc.h"`

## Public Member Functions
| PhysxMotorDesc (float velTarget, float maxForce=0, bool freeSpin=0)
bool | get_free_spin () const
float | get_max_force () const
float | get_vel_target () const
void | set_free_spin (bool freeSpin)
void | set_max_force (float maxForce)
void | set_vel_target (float velTarget)

## Public Attributes
NxMotorDesc | _desc

## Detailed Description

Describes a joint motor.

Some joints can be motorized, this allows them to apply a force to cause attached actors to move. Joints which can be motorized: - PhysxPulleyJoint - PhysxRevoluteJoint

Definition at line 26 of file physxMotorDesc.h.

## Constructor & Destructor Documentation

## ◆ PhysxMotorDesc() [1/2]

PhysxMotorDesc::PhysxMotorDesc | ( |  | ) |
| inline

Definition at line 17 of file physxMotorDesc.I.

## ◆ PhysxMotorDesc() [2/2]

PhysxMotorDesc::PhysxMotorDesc | ( | float | velTarget,
|  | float | maxForce = 0,
|  | bool | freeSpin = 0 )
| inline

Definition at line 25 of file physxMotorDesc.I.

## ◆ ~PhysxMotorDesc()

PhysxMotorDesc::~PhysxMotorDesc | ( |  | ) |
| inline

Definition at line 36 of file physxMotorDesc.I.

## Member Function Documentation

## ◆ get_free_spin()

bool PhysxMotorDesc::get_free_spin | ( |  | ) | const

Definition at line 64 of file physxMotorDesc.cxx.

## ◆ get_max_force()

float PhysxMotorDesc::get_max_force | ( |  | ) | const

Definition at line 55 of file physxMotorDesc.cxx.

## ◆ get_vel_target()

float PhysxMotorDesc::get_vel_target | ( |  | ) | const

Definition at line 46 of file physxMotorDesc.cxx.

## ◆ set_free_spin()

void PhysxMotorDesc::set_free_spin | ( | bool | freeSpin | ) |

Definition at line 37 of file physxMotorDesc.cxx.

## ◆ set_max_force()

void PhysxMotorDesc::set_max_force | ( | float | maxForce | ) |

Definition at line 28 of file physxMotorDesc.cxx.

## ◆ set_vel_target()

void PhysxMotorDesc::set_vel_target | ( | float | velTarget | ) |

Definition at line 19 of file physxMotorDesc.cxx.

## Member Data Documentation

## ◆ _desc

NxMotorDesc PhysxMotorDesc::_desc

Definition at line 42 of file physxMotorDesc.h.

The documentation for this class was generated from the following files:

- panda/src/physx/physxMotorDesc.h
- panda/src/physx/physxMotorDesc.cxx
- panda/src/physx/physxMotorDesc.I